# $Revision: 1.23 $, $Date: 2004/08/08 17:07:41 $
Summary:	PPP network monitor for Window Maker Dock
Summary(pl):	Monitor pocze ppp dla Doku Window Makera
Name:		wmpload
Version:	0.9.5
Release:	3
License:	GPL
Group:		X11/Window Managers/Tools
Source0:	http://www.engr.utk.edu/~mdsmith/pload/%{name}-%{version}.tar.gz
# Source0-md5:	022fb510f586ea38cdd5e829a25464bf
Source1:	%{name}.desktop
Patch0:		%{name}-distclean.patch
URL:		http://www.engr.utk.edu/~mdsmith/pload/
BuildRequires:	XFree86-devel
Requires:	ppp
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)


%description
wmpload is an PPP monitor for Window Maker Dock. It can dislay totals
and current rates for both inbound and outbound data. wmpload was
designed to be portable to any platform that can run pppd and X11, but
for Linux 2.2 any network interface listed in /proc/net/dev can be
also be monitored.

%description -l pl
wmpload jest monitorem pocze PPP dla Doku Window Makera. Posiada
moliwo wywietlania caociowych i aktualnych wielkoci transferw
danych zarwno przychodzcych jak i wychodzcych. wmpload zosta
zaprojektowany w sposb umoliwiajcy uywanie go na kadej
platformie, gdzie s dostpne X11 i pppd. Dodatkowo dla Linuksa 2.2
istnieje moliwo monitorowania kadego interfejsu sieciowego
obecnego w /proc/net/dev.

%prep
%setup -q
%patch0 -p1

%build
./configure
xmkmf -a
%{__make} CDEBUGFLAGS="%{rpmcflags} -DLINUXPROC"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_desktopdir}/docklets \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install %{name} $RPM_BUILD_ROOT%{_bindir}
install %{name}.man $RPM_BUILD_ROOT%{_mandir}/man1/%{name}.1x
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/docklets

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README CHANGES CREDITS
%attr(755,root,root) %{_bindir}/wmpload
%{_mandir}/man1/wmpload.1x*
%{_desktopdir}/docklets/wmpload.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wmpload.spec,v $
Revision 1.23  2004/08/08 17:07:41  yogib
- switched to vfolders

Revision 1.22  2003/09/18 12:26:42  havner
- mass commit: some fixes due to prefix change

Revision 1.21  2003/09/02 10:23:24  havner
- prefix changed to /usr

Revision 1.20  2003/05/28 13:02:55  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:27:59  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2003/02/28 10:09:02  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.17  2002/12/28 16:30:04  qboosh
- don't force gzipped infos and mans, some other fixes/cosmetics where necessary

Revision 1.16  2002/12/08 11:53:21  blues
- spelling fixes by Tomasz "Witek" Wittner <wittt_@poczta.onet.pl>

Revision 1.15  2002/11/29 22:47:35  ankry
- massive attack: new %%doc

Revision 1.14  2002/02/23 05:10:58  kloczek
- adapterized.

Revision 1.13  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.12  2002/01/18 02:15:24  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/12/06 05:01:03  kloczek
- reverte last change (./configure script isn't autoconf script).

Revision 1.10  2001/12/05 14:50:25  blues
- configure macro used

Revision 1.9  2001/12/05 06:59:01  kloczek
- release 2: added distclean patch.

Revision 1.8  2001/11/26 00:02:20  blues
- desktop is out
- fixes in files
NOTE: does not build

Revision 1.7  2001/05/03 01:14:05  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.6  2000/11/12 16:58:52  kloczek
- removed xpm-devel from BuildRequires.

Revision 1.5  2000/06/09 07:24:02  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:09  baggins
- translated kloczkish into english

Revision 1.2  2000/02/05 14:22:58  pius
- added BuildRequires rules

Revision 1.1  2000/02/05 14:19:25  pius
- initial release based on spec from dist tarball
